#pragma once

#include "MazeContent/Buildings/Room.h"

class Teleport : public IRoomSide {
public:
    void enter(IEntity* entity) override;
    void prepare_for_drawing() override;
    void draw_into(sf::RenderWindow& window) const override;
public:
    Teleport(std::vector<std::unique_ptr<Room>> rooms) : m_rooms(std::move(rooms)) {}
private:
    std::vector<std::unique_ptr<Room>> m_rooms;
    std::vector<std::array<sf::Vertex, 2>> lines;
};